Woody vers Sarge


#1

Bonjour, j’ai eu beau cherché je n’ai pas réussi à trouver le moyen de mettre à jour ma Debian Woody vers la Sarge par internet.
Y a t’il une commande particulière et un site officiel ?
Merci.


#2

slt

tu peu le faire avec apt .
il faut que tu change ton /etc/apt/sources.liste pour qu’il pointe vers sarge .
le prob c’est que je me souviens plus des lignes :blush: .
aprés c’est comme d’habitude.

je vais cherhcer les ligne qui te faut


#3

c’est bon j’ai trouvé sur le forum de knoppix :slightly_smiling:

http://forums.knoppix-fr.org/viewtopic.php?t=1216

voila ya plus ka :wink:


#4

Non, pas de commande “particuliere”. Il faut juste reconfigurer un peu apt:
1/ d’abord mettre à jour les sources, dans /etc/apt/sources.list
tu modifie partout les sources officielles debian en remplacant woody par testing (ca te permettra de suivre quand sid deviendra testing).
Tu peux aussi conserver les sources désignant woody, et rajouter celles de la sarge, pour avoir accés à des paquets en voie de disparition, mais ca peut gèner parfois.
Sinon, un sources.list minimum pourrait être:
/etc/apt/sources.list

# sources principales 
deb http://debian.mur.at/debian/ testing main contrib non-free
deb-src http://debian.mur.at/debian/ testing main contrib non-free
# sources non us
deb http://ftp.fr.debian.org/debian-non-US/ testing/non-US main contrib non-free
deb-src http://ftp.fr.debian.org/debian-non-US/ testing/non-US main contrib non-free
# sources security
deb http://security.debian.org/ testing/updates main contrib non-free
deb-src http://security.debian.org/ testing/updates main contrib non-free

2/préciser dans /etc/apt/apt.conf.d quel est ta distrib, en créant un fichier de config perso qui est intègré en fin de config:
/etc/apt/apt.conf.d/90perso

APT::Default-Release "testing";
//APT::Default-Release "stable"; // pour downgrader
APT::Cache-Limit 10000000; // Sinon erreur "E: Dynamic MMap ran out of room"

3/mettre à jour la base de données des paquetages:

4/upgrader le tout:

Vala…


#5

Merci d’avoir répondu aussi vite ^^
Je vais aller voir ca tout de suite :slightly_smiling:


#6

de nada

penses bien au “dist-upgrade” qui résout les conflits en désinstallant les paquets anciens devenus incompatibles. le upgrade simple ne fera que mettre à jour les paquets installés avec des upgrade compatibles.


#7

Voila merci je viens de faire le upgrade et appremment la MAJ est en train de se faire , merci encore !